Package gov.nasa.gsfc.sscweb.schema

# Class BoxConjunctionArea

java.lang.Object
gov.nasa.gsfc.sscweb.schema.ConjunctionArea
gov.nasa.gsfc.sscweb.schema.BoxConjunctionArea

public class BoxConjunctionArea extends ConjunctionArea
Box shaped conjunction area. <p>Java class for BoxConjunctionArea complex type</p>. <p>The following schema fragment specifies the expected content contained within this class.</p> <pre>{@code <complexType name="BoxConjunctionArea"> <complexContent> <extension base="{http://sscweb.gsfc.nasa.gov/schema}ConjunctionArea"> <sequence> <element name="CoordinateSystem" type="{http://sscweb.gsfc.nasa.gov/schema}TraceCoordinateSystem"/> <element name="DeltaLatitude" type="{http://www.w3.org/2001/XMLSchema}double"/> <element name="DeltaLongitude" type="{http://www.w3.org/2001/XMLSchema}double"/> </sequence> </extension> </complexContent> </complexType> }</pre>

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected TraceCoordinateSystem`
  `coordinateSystem`
  Coordinate system.
  `protected double`
  `deltaLatitude`
  Delta Latitude in degrees.
  `protected double`
  `deltaLongitude`
  Delta Longitude in degrees.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BoxConjunctionArea()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `TraceCoordinateSystem`
  `getCoordinateSystem()`
  Coordinate system.
  `double`
  `getDeltaLatitude()`
  Delta Latitude in degrees.
  `double`
  `getDeltaLongitude()`
  Delta Longitude in degrees.
  `void`
  `setCoordinateSystem(TraceCoordinateSystem value)`
  Sets the value of the coordinateSystem property.
  `void`
  `setDeltaLatitude(double value)`
  Sets the value of the deltaLatitude property.
  `void`
  `setDeltaLongitude(double value)`
  Sets the value of the deltaLongitude property.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### coordinateSystem

    protected TraceCoordinateSystem coordinateSystem
    Coordinate system.

  - ### deltaLatitude

    protected double deltaLatitude
    Delta Latitude in degrees.

  - ### deltaLongitude

    protected double deltaLongitude
    Delta Longitude in degrees.

- ## Constructor Details

  - ### BoxConjunctionArea

    public BoxConjunctionArea()

- ## Method Details

  - ### getCoordinateSystem

    public TraceCoordinateSystem getCoordinateSystem()
    Coordinate system.
    Returns:
      possible object is `TraceCoordinateSystem`

  - ### setCoordinateSystem

    public void setCoordinateSystem(TraceCoordinateSystem value)
    Sets the value of the coordinateSystem property.
    Parameters:
      `value` - allowed object is `TraceCoordinateSystem`
    See Also:
      - `getCoordinateSystem()`

  - ### getDeltaLatitude

    public double getDeltaLatitude()
    Delta Latitude in degrees.

  - ### setDeltaLatitude

    public void setDeltaLatitude(double value)
    Sets the value of the deltaLatitude property.

  - ### getDeltaLongitude

    public double getDeltaLongitude()
    Delta Longitude in degrees.

  - ### setDeltaLongitude

    public void setDeltaLongitude(double value)
    Sets the value of the deltaLongitude property.